Subject: Re: [IPTEL] supporting CPL versions

From: Tom Gray <[email-masked]>
Date: Thu, 24 Aug 2000 04:51:29 -0700 (PDT)

--- James Undery <[email-masked]> wrote:

> Hopefully this will become irrelevant once the
> Internet Draft becomes a RFC,
> however I hope the problem of the complexity of time
> zones can be resolved.
> The solution I favour is a far simplified version
> where the script specifies
> an offset (say from GMT) and the problem of time
> zone changes is addressed
> by re-registering. I think this is acceptable
> because unlike calendar events
> where it is reasonable to expect events to be stored
> for years, I don't see
> registrations of scripts lasting that long (in the
> case of users scripts).
> This would simplify CPL dramatically yet still allow
> intelligent end points
> to readjust scripts when time zone changes occur if
> required.

This raises the question of the cooperation between a
user end point system and a CPL server. Using the
discussion above  as an example, this seems to be a
far more flexible way of providing functionality than
trying to provide all possible conditions in a server
script. The time zone issue is only the most visible
aspect of this.

__________________________________________________
Do You Yahoo!?
Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel